Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 3 Next »

This page will guide you on installing ViaVersion, after installing you will have a protocol compatible server allowing more client versions to join.

Requirements

  • CraftBukkit / Spigot (or Spigot based fork like PaperSpigot)
  • File Manager access
  • If you use BungeeCord ensure it's the latest build which allows 1.8, 1.9 and 1.10 clients.

Compatibility

You must use one of the following versions to allow certain versions, 1.8.x means any 1.8 version like 1.8.8.

Server VersionClients can connect with
1.8.x1.8.x, 1.9.x, 1.10.x
1.9/1.9.11.9.x, 1.10.x
1.9.21.9.x, 1.10.x (Note: 1.10.1/2 will not work properly it's suggested you upgrade.)
1.9.41.9.x, 1.10.x

Note: Future versions like 1.11 will work on all of the above due to how the plugin is built. (Excluding issues where noted)

Downloading ViaVersion

You can download the latest release from https://ci.viaversion.com/job/ViaVersion/Release/, download this to your plugin folder.

If you are using command line you can use the following:

Linux:

wget -O ViaVersion.jar http://myles.us/ViaVersion/latest.jar

Windows:

curl -o ViaVersion.jar http://myles.us/ViaVersion/latest.jar

 

Tip

For more information about changelogs, you can check out our spigot page https://www.spigotmc.org/resources/viaversion.19254/updates

Installing ViaVersion

Once you have downloaded your ViaVersion.jar to the plugins folder, simply run your server.

Warning

ViaVersion will not work properly if you use a plugin manager and other plugins, please reboot your server. Additionally make sure to read your startup log in case there are any errors!

Configuring ViaVersion

ViaVersion should work out of the box, in some cases you might run into a few issues. Check out our Documentation on our config.yml here.

Common Issues

My players in the tab list have no colour?

You may need to disable autoteam if you use a tag plugin like ColoredTags, use /viaver autoteam to disable. Alternatively you can modify your config.yml.

I am being kicked for Outdated Server?

Ensure you have updated BungeeCord to the latest version if you use it, otherwise take a look at your startup log and ensure you're connecting to the right server and that ViaVersion is installed.

  • No labels